/**************************************************************
* SplitServ main header file
* $Id: oper.h,v 1.11 2002/01/11 17:13:12 wcampbel Exp $
**************************************************************/

#ifndef SPLIT_H
#define SPLIT_H

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <errno.h>
#include <netdb.h>
#include <netinet/in.h>
#include <unistd.h>
#include <time.h>
#include <string.h>
#include <stdarg.h>
#include <stdlib.h>
#include <sys/time.h>
#include <ctype.h>
#include <sys/stat.h>
#include "config.h"

#define BUFSIZE 512
#define bzero(x,y)	memset(x, '\0', y);
#define MAXNICK	32
#define MAXHOST 63
#define MAXPASS	32
#define MAXCHAN 10
#define LINE 80

struct me {
	char uplink[MAXHOST];
	int port;
	char desc[LINE];
	int r_time;
        int use_vhost;
        char vhost[MAXHOST];
	char adpass[MAXPASS];
	char connpass[MAXPASS];
	char version[LINE];
	char join_chan[LINE];
	char op_chan[LINE];
	char nick[MAXNICK];
	char **j_chanlist;
	char **o_chanlist;
} me;

int op_flag;
int inv_flag;
int servsock;

/* conf.c */
void strip(char *);
void SetDefaults();
void LoadConf();
char ** ParseChan(char *);

/* sock.c */
void ListenLoop();
int Connect();

/* irc.c */
void Register();
void Parse(char *);
void Shutdown(char *, char *);
void Restart(char *, char *);
void PrintHelp(char *, char *);

/* util.c */
void log(char *, ...);
void sts(char *, ...);

#endif
